#ifndef __OBJEXPORTER_H
#define __OBJEXPORTER_H

#include "common.h"
#include "Bvh.h"
#include <map>


namespace CHCDemoEngine
{

/** Class for exporting bvh to Jiris format
*/
class ObjExporter
{
public:

	bool Export(const std::string &filename, Bvh *bvh);


public:

	int WriteGeometry(Geometry *geom, std::ofstream &ostream);
};


}

#endif